1. Bookings
Pacific Bedbank API Rates Doc
  • INTRODUCTION
  • Getting Started
  • Payments
  • Discover
  • Endpoints Overview
  • Webhooks
  • Authentication
    • Login
      POST
    • Me
      GET
  • Search
    • List Countries
      GET
    • List Currencies
      GET
    • List Hotels
      GET
    • Search Hotel Rates
      POST
    • Search Hotel Min Rates
      POST
  • Bookings
    • Create Prebook
      POST
    • Prebook Payment Page
      GET
    • Prebook Payment Return
      GET
    • Get Prebook
      GET
    • List Bookings
      GET
    • Confirm Booking
      POST
    • Cancel Booking
      PUT
    • Amend Guest Name
      PUT
    • Get Booking
      GET
  • Schemas
    • LoginResponse
    • LoginRequest
    • CountriesResponse
    • Country
    • CurrenciesResponse
    • Currency
    • HotelListResponse
    • HotelSummary
    • HotelEssential
    • RateEssential
    • RoomTypeEssential
    • SearchResponseEssential
    • SupplierWarning
    • HotelRatesRequest
    • OccupancyInput
    • WholesalerCurrency
    • HotelMinRate
    • HotelMinRatesResponse
    • HotelMinRatesRequest
    • CreditLineInfo
    • PaymentSdkInfo
    • PrebookResponse
    • PrebookRoomRate
    • TravellerInfo
    • PrebookRequest
    • TravellerInput
    • BookingListItem
    • BookingListResponse
    • ConfirmBookingResponse
    • ConfirmBookingRequest
    • GuestInput
    • HolderInput
    • CancelBookingResponse
    • AmendGuestResponse
    • AmendGuestRequest
    • BookingDetailResponse
  1. Bookings

List Bookings

GET
/api/v1/bookings
List bookings or filter by booking dates, status, or client reference.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Query Params

Responses

🟢200
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://rates-api.globalbedbank.com/api/v1/bookings?guest_id=undefined&client_reference=undefined&start_date=undefined&end_date=undefined&booking_start_date=undefined&booking_end_date=undefined&status=undefined&payment_status=undefined&timeout=undefined' \
--header 'Authorization: <api-key>'
Response Response Example
{
    "bookings": [
        {
            "booking_id": "string",
            "booking_reference": "string",
            "client_reference": "",
            "prebook_id": "",
            "status": "string",
            "payment_status": "",
            "hotel_id": "string",
            "hotel_name": "",
            "check_in": "string",
            "check_out": "string",
            "currency": "string",
            "price": 0,
            "hotel_confirmation_code": "",
            "holder_name": "",
            "holder_email": "",
            "guest_name": "",
            "created_at": "string"
        }
    ],
    "total": 0
}
Modified at 2026-06-03 00:11:28
Previous
Get Prebook
Next
Confirm Booking
Built with